Subject: Re: [CGA-EXT] RE: [Int-area] CGA & SeND extensions discussion

From: "Jean-Michel Combes" <[email-masked]>
Date: Wed, 22 Nov 2006 09:23:39 +0100

Hi,

Sorry but I need a clarification :)
Marcelo's item about DHCP is about how may DHCP provide a CGA address
to a node or how does DHCP check that a node may use a CGA address?

Thanks.

Best regards.

JMC.

2006/11/21, Alexandru Petrescu <[email-masked]>:
> Templin, Fred L wrote:
> >> - CGAs and DHCP. The goal here would be to analyze possible mechanisms
> >
> >> to allow to assign CGAs using DHCP and to produce a recommendation
> >> about how this can be done. The actual DHCP extensions are to be
> >> defined in the DHC wg.
> >
> > Why not just have:
> >
> >   1) Client configures an address using CGA and includes it in
> >      an IA_NA; IA_TA option in its initial solicitation.
> >   2) Server determines whether the client's proposed (CGA-based)
> >      address is unique and returns an appropriate status code.
> >   3) Client assigns the address to an interface, or proposes
> >      a new CGA to the server if earlier attempts collided.
>
> Sounds good at delivering hash-based addresses to terminal. It may
> however have security risks, like a rogue Server.
>
> > I don't think there are any DHCP extensions required for that?
>
> There could be a discussion on securing initial DHCPv6 exchanges with
> hash-based addresses instead of shared IPsec keys, too.
>
> Alex
>
> >
> > Fred
> > [email-masked]
> >
> > _______________________________________________
> > CGA-EXT mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/cga-ext
> >
>
>
> _______________________________________________
> CGA-EXT mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/cga-ext
>
--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------